Bug 1293475 - Can't install from live CD on a system with NVDIMMs
Can't install from live CD on a system with NVDIMMs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 15:41 EST by Linda Knippers
Modified: 2016-12-20 12:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:18:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of anaconda error (88.21 KB, image/png)
2015-12-21 15:41 EST, Linda Knippers
no flags Details
anacodna log (4.31 KB, text/plain)
2016-01-04 19:09 EST, Jerry Hoemann
no flags Details
ifcfg log (19.11 KB, text/plain)
2016-01-04 19:10 EST, Jerry Hoemann
no flags Details
program log (5.75 KB, text/plain)
2016-01-04 19:11 EST, Jerry Hoemann
no flags Details
storage log (13.16 KB, text/plain)
2016-01-04 19:12 EST, Jerry Hoemann
no flags Details

  None (edit)
Description Linda Knippers 2015-12-21 15:41:09 EST
Created attachment 1108471 [details]
screen shot of anaconda error

Description of problem:

This is reported by Jerry Hoemann:

I was attempting to install Fedora 23 Workstation to one of our NVDIMM
systems (this is in live cd form.) 

The install kernel boots, but anaconda fails because of the presence
of pmem0 (no disk label).

A simple work around (without rebooting) was to:

1) finish quitting out of anaconda (failure was the only option.)
2) run a shell
3) rmmod nd_pmem
4) re-run install to disk.


Version-Release number of selected component (if applicable):
Fedora 23

How reproducible:
Very, if you have a system with NVDIMMs that are recognized by the kernel, causing /dev/pmemX devices to be created.

Steps to Reproduce:
1.Boot the live CD and attempt to install
2.
3.

Actual results:
Fails with attached error

Expected results:
Anaconda should ignore the pmem devices, at least for now.

Additional info:
Comment 1 Brian Lane 2015-12-21 17:55:30 EST
Please attach the logs from /tmp/*log as individual text/plain attachments.
Comment 2 Linda Knippers 2016-01-04 10:37:46 EST
Adding needinfo for Jerry to see if he can get the logs.  Otherwise I will try to reproduce.
Comment 3 Jerry Hoemann 2016-01-04 19:09 EST
Created attachment 1111585 [details]
anacodna log
Comment 4 Jerry Hoemann 2016-01-04 19:10 EST
Created attachment 1111586 [details]
ifcfg log
Comment 5 Jerry Hoemann 2016-01-04 19:11 EST
Created attachment 1111589 [details]
program log
Comment 6 Jerry Hoemann 2016-01-04 19:12 EST
Created attachment 1111592 [details]
storage log
Comment 7 Jerry Hoemann 2016-01-04 19:14:14 EST
I added attachments for anaconda.log, ifcfg.log, program.log, and storage.log.

packaging.log and sensitive-info.log were zero length files.
Comment 8 Fedora End Of Life 2016-11-24 09:26:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 12:18:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.